VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 1
声望: 0

刚安装完,注册好,怎么说明文档里有华鑫奇点接口,实际没有呢?

Member
avatar
加入于:
帖子: 1468
声望: 105

华鑫奇点只提供了Python 3.7版本的API,所以VeighNa Studio中无法支持(Python 3.10),需要的话自行安装Python 3.7环境即可

Member
avatar
加入于:
帖子: 7
声望: 1

用conda安装python3.7.4,可以成功调用tora,同时用pip install vnpy_tora

Member
avatar
加入于:
帖子: 1
声望: 0

金学林 wrote:

用conda安装python3.7.4,可以成功调用tora,同时用pip install vnpy_tora
hello 你好 想问一下vnpy用的是哪个版本,我吧2.8 2.9 还有最新版都试了,结果还是版本冲突,vnpy2.8/2.9 + python 3.7.4 安装完 python run.py 报这个错,我查到原因是python版本低,但是升级py版本 vnpy-tora 又装不了(vnpy280ToraPy374) E:\vnpyTora\vnpy_tora-main\script>python run.py
Traceback (most recent call last):
File "run.py", line 5, in <module>
from vnpy_tora import (
File "C:\Users\dell.conda\envs\vnpy280ToraPy374\lib\site-packages\vnpy_tora__init.py", line 25, in <module>
from .gateway import ToraStockGateway, ToraOptionGateway
File "C:\Users\dell.conda\envs\vnpy280ToraPy374\lib\site-packages\vnpy_tora\gateway\
init__.py", line 1, in <module>
from .tora_stock_gateway import ToraStockGateway
File "C:\Users\dell.conda\envs\vnpy280ToraPy374\lib\site-packages\vnpy_tora\gateway\tora_stock_gateway.py", line 26, in <module>
from vnpy.trader.utility import ZoneInfo
ImportError: cannot import name 'ZoneInfo' from 'vnpy.trader.utility' (C:\Users\dell.conda\envs\vnpy280ToraPy374\lib\site-packages\vnpy\trader\utility.py)

Member
avatar
加入于:
帖子: 4684
声望: 285

vnpy包没有升级。
直接安装一个python3.7,然后手动安装上vnpy和vnpy_tora即可

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】